.row(ng-repeat='row in dbdata.rows')
  .col-xs-12(ng-init='init(app, appid, pageid);', ng-controller='AppCtrl', ng-repeat='app in row.apps', class='col-md-{{app.cols}} col-sm-{{app.cols}}')
    ppanel(title='{{app.title}}', collapsible='{{app.collapsible}}', settings='app.settings')
      div(id='widget{{app.appdef.name}}')
